# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get details about a single transaction ## Overview Get details about a transaction such as the status and the acceptance date and time. ## Endpoints Send an API request to one of the following endpoints to execute a request to get details about a single transaction. For the specification, see the [API reference](/api/treasury/jp-morgan-wallet/doc-2#/operations/getPaymentDetail). **Endpoints for "Get details about a transaction" request** | HTTP method | Request | v2.xx | v3.xx | | --- | --- | --- | --- | | GET | Get details about a transaction | /payments/{paymentIdentification} | Not supported | ## Request ### Path parameters Include the following path parameters in the URL. **Path parameters for "Get details about a single transaction" request** | Parameter | Required / Optional | Description | | --- | --- | --- | | paymentIdentification | Required | Set to the paymentInformation.creditTransferTransactionInformation.paymentIdentification.endToEndIdentification value of the transaction. Maximum 16 characters. | ### Query parameters Include the following query parameters in the URL. **Query parameters for "Get details about a single transaction" request** | Parameter | Required / Optional | Description | | --- | --- | --- | | type | Optional | Type of the ID that you provided in the paymentIdentification parameter. The default value is endToEndId. | ### Header parameters Include the following parameters in the header. **Header parameters for "Get details about a single transaction" request** | Parameter | Required / Optional | Description | | --- | --- | --- | | programId | Required | Your Wallet program ID. Maximum 35 characters. | ## Response If the request is successful, the API returns a response with details about the transaction that you specified in `paymentIdentification`. Details include the transaction status, the acceptance date and time, the amount and currency of the transaction, and other information. ## Example The following example request gets details about a specific transaction: `/v2/jpmwallet/payments/ENDTOENDID123456` The following is the response to the previous example request. ```json { "groupHeader": { "messageIdentification": "aafd5ea1-e66c-439f-87f4-13b00eca61f1", "creationDateTime": "2023-05-08T13:39:01.586+0000", "initiatingParty": { "name": "Wallet automation", "identification": { "organisationIdentification": { "bicOrBei": "null" } } } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "ENDTOENDID123456", "originalMessageNameIdentification": "API-PAYOUT", "originalCreationDateTime": "2019-09-09T18:12:55.626+0000", "originalNumberOfTransactions": 1, "originalControlSum": 2.91 }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "ENDTOENDID123456", "transactionInformationAndStatus": [ { "originalInstructionIdentification": "null", "originalEndToEndIdentification": "ENDTOENDID123456", "transactionStatus": "ACSC", "acceptanceDateTime": "2023-05-08T05:28:37.844+0000", "accountServicerReference": "J2WDSW", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 2.91, "currency": "USD" } }, "requestedExecutionDate": "2023-05-08", "paymentMethod": "TRF", "ultimateDebtor": { "identification": { "organisationIdentification": { "other": [ { "identification": "SANGITA-VA-04", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } }, "contactDetails": {} }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "021000021" }, "postalAddress": { "department": "", "subDepartment": "", "streetName": "", "buildingNumber": "", "postCode": "", "townName": "", "countrySubDivision": "", "country": "", "addressLine": [ "" ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASUS33XXX", "clearingSystemMemberIdentification": { "clearingSystemIdentification": { "code": "USABA" }, "memberIdentification": "021000021" }, "name": "NAME", "postalAddress": { "department": "", "subDepartment": "", "streetName": "BriarwoodCt", "buildingNumber": "1605", "postCode": "19460", "townName": "Phoenixville", "countrySubDivision": "PA", "country": "US", "addressLine": [ "" ] } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "USD" }, "receiver": { "name": "NAME", "postalAddress": { "department": "", "subDepartment": "", "streetName": "BriarwoodCt", "buildingNumber": "1605", "postCode": "19460", "townName": "Phoenixville", "countrySubDivision": "PA", "country": "US", "addressLine": [ "" ] }, "identification": { "organisationIdentification": {}, "privateIdentification": { "dateAndPlaceOfBirth": { "birthDate": "", "provinceOfBirth": "", "countryOfBirth": "" } } }, "countryOfResidence": "", "contactDetails": {} } } } ] } } ```